<?php ob_start();
/** Plugin Name: WP Events Plus
* Description: Events Plus allows you to easily create and manage your events. Allow visitors to register and pay online for events, manage attendees, discount coupons, export attendees list, and much more.
* Version: 1.6.2
* Author: Events Plus
* Author URI: http://wpeventsplus.com/
* License: GPL2
*/

global $evrplus_date_format, $evrplus_ver, $wpdb;

$evrplus_date_format = "l, M j, Y";
if($opt = get_option( 'evr_company_settings')){
    if(isset($opt['date_format']) and $opt['date_format'] == 'eur') $evrplus_date_format = "l, j M Y";
}

$evrplus_ver = "1.6.2";

ob_start();



error_reporting(E_ALL ^ E_NOTICE);

function evrplus_save_error(){
    update_option('plugin_error',  ob_get_contents());
}

define("EVR_PLUGINPATH", "/".plugin_basename(dirname(__file__))."/");
define("EVR_PLUGINFULLURL",WP_PLUGIN_URL. EVR_PLUGINPATH);

require ("evrplus_admin_menu.php"); //holds function used in the admin menu
require ("evrplus_support_functions.php"); //holds functions used throughout the plugin
require ("evrplus_content.php"); //holds functions that replaces the content in main page
require ("evrplus_install.php"); //holds functions that install options and databases
require ("evrplus_company.php"); //holds function that has form and array posting for company
require ("evrplus_admin_event.php"); //holds function that creates/edits/manages event
require ("pagination.class.php"); //holds function that does paging on admin listings
require ("evrplus_admin_questions.php"); //holds function for the admin questions page
require ("evrplus_admin_category.php"); //holds function for the admin category page
require ("evrplus_admin_attendee.php"); //holds functions for the admin attendee management
require ("evrplus_admin_payments.php"); //holds function for event payments and admin payment management
require ("evrplus_public_registration.php"); //holds functions that display the registration page forms
require ("paypal.class.php"); //used for paypal IPN
require ("evrplus_ipn.php"); //used for paypal IPN
require ("evrplus_calendar.php"); //holds functions for calendar page
require ("evrplus_three_cal.php");
require ("evrplus_widgets.php");    // Class that holds new Widgets
require ("evrplus_attendee_widget.php");
require ("evrplus_events_grid.php");

add_action('activated_plugin','evrplus_save_error');
add_action('init','evrplus_init');

register_activation_hook(__file__,'evrplus_install');

add_action('admin_menu','evrplus_admin_menu');
add_action('admin_head','evrplus_load_tiny_mce');
add_action('admin_head', 'evrplus_admin_header');

add_action('wp_head', 'evrplus_public_header');
add_action('wp_enqueue_scripts', 'evrplus_public_stylesheets',10);
add_action('wp_enqueue_scripts', 'evrplus_public_scripts',10);
add_action('wp_enqueue_scripts', 'evrplus_public_scripts',10);
add_action('wp_dashboard_setup','evrplus_dashboard_upcomingevents');
add_action( 'widgets_init', 'evrplus_widgets' );//new sidebar widget


add_filter('plugin_action_links', 'evrplus_quick_action', 10, 2);
add_filter('the_content', 'evrplus_content_replace');
add_filter('the_content', 'evrplus_calendar_replace');
add_filter('the_content', 'evrplus_mini_cal_calendar_replace');
add_filter('the_content', 'evrplus_upcoming_event_list');


add_shortcode('eventsplus_payment', 'evrplus_payment_page');
add_shortcode('eventsplus_calendar', 'evrplus_calendar_page');
add_shortcode('eventsplus_single', 'evrplus_single_event');
add_shortcode('eventsplus_category', 'evrplus_by_category');
add_shortcode('eventsplus_attendee', 'evrplus_attendee_short');

//add_action('init','create_custom_column');
function create_custom_column()
{
	global $wpdb;
	$args=array();
	$count = $wpdb->get_var( "SELECT COUNT(*) as count
                    FROM INFORMATION_SCHEMA.COLUMNS
                    WHERE   TABLE_NAME ='". get_option('evr_event')."' AND
                            COLUMN_NAME = 'counter_checks'");
	if($count == 0)
	{
		$wpdb->query("ALTER TABLE ".$wpdb->prefix."evr_event ADD counter_checks varchar(45)");

	}

}


function evrplus_init(){
    wp_register_script($handle = 'evrplus_admin_script', $src = plugins_url('/scripts/evrplus.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_fancy', $src = plugins_url('/scripts/fancybox/jquery.fancybox-1.3.4.pack.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_tab_script', $src = plugins_url('/scripts/evrplus_tabs.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    // wp_register_script($handle = 'evrplus_tooltip_script', $src = plugins_url('/js/jquery.tooltip.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    //register public scripts

    wp_register_script($handle = 'evrplus_excanvas', $src = plugins_url('/js/excanvas.js', __FILE__), $deps = array('jquery'), $ver = '1.0.0', $media = 'all');

	wp_register_script($handle = 'evrplus_knob', $src = plugins_url('/js/jquery.knob.min.js', __FILE__), $deps = array('jquery'), $ver = '1.0.0', $media = 'all');

	wp_register_script($handle = 'evrplus_ba-throttle-debounce', $src = plugins_url('/js/jquery.ba-throttle-debounce.min.js', __FILE__), $deps = array('jquery'), $ver = '1.0.0', $media = 'all');

	wp_register_script($handle = 'evrplus_redcountdown', $src = plugins_url('/js/jquery.redcountdown.min.js', __FILE__), $deps = array('jquery'), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_public_script', $src = plugins_url('/evrplus_public_script.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_public_easing', $src = plugins_url('/scripts/fancybox/jquery.easing-1.3.pack.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_public_mouswheel', $src = plugins_url('/scripts/fancybox/jquery.mousewheel-3.0.4.pack.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_enqueue_script( 'jquery' );
    wp_enqueue_script('jquery-ui-sortable');
    wp_enqueue_script('jquery-ui-draggable');
    wp_enqueue_script('jquery-ui-droppable');
    wp_enqueue_script('jquery-ui-selectable');
    wp_enqueue_script('jquery-ui-core');
    wp_enqueue_script('thickbox');
	wp_enqueue_style('thickbox');
    wp_enqueue_script(array('tiny_mce','editor','editor-functions', 'thickbox', 'media-upload'));
    #Text Domain support for other languages
    load_plugin_textdomain('evrplus_language', false, dirname(plugin_basename(__file__)).'/lang/');

}

function evrplus_load_tiny_mce() {
   global $wp_version;
   if (!version_compare($wp_version, '3.2', '>=')) {
       if (function_exists('wp_tiny_mce_preload_dialogs')) {
           add_action('admin_print_footer_scripts', 'wp_tiny_mce_preload_dialogs');
       }
    wp_tiny_mce( false , array( "editor_selector" => "edit_class",
    'height' => 200,
    'plugins' => 'inlinepopups,wpdialogs,wplink,media,wpeditimage,wpgallery,paste,tabfocus',
    'forced_root_block' => false,
    'force_br_newlines' => true,
    'force_p_newlines' => false,
    'convert_newlines_to_brs' => true));
  	}
}

function evrplus_admin_header(){

	wp_register_style($handle = 'evrplus_admin_css', $src = plugins_url('/evrplus_admin_style.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_style($handle = 'evrplus_fancy_css', $src = plugins_url('/scripts/fancybox/jquery.fancybox-1.3.4.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_enqueue_style('evrplus_fancy_css');

    wp_enqueue_style('evrplus_admin_css');

    wp_enqueue_style( 'farbtastic' );

	wp_register_script($handle = 'evrplus_admin_script', $src = plugins_url('/scripts/evrplus.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_admin_fancy', $src = plugins_url('/scripts/fancybox/jquery.fancybox-1.3.4.pack.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_script($handle = 'evrplus_tab_script', $src = plugins_url('/scripts/evrplus_tabs.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

	// wp_register_script($handle = 'evrplus_tooltip_script', $src = plugins_url('/js/jquery.tooltip.js', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

	wp_register_script($handle = 'jquery-ui', $src = "//code.jquery.com/ui/1.10.4/jquery-ui.js", $deps = array(), $ver = '1.10.4', $media = 'all');

	wp_enqueue_script('jquery');

	wp_enqueue_script('evrplus_admin_script');//////

    wp_enqueue_script('evrplus_admin_fancy');

    wp_enqueue_script('evrplus_tab_script');

    wp_enqueue_script('evrplus_tooltip_script');

    wp_enqueue_script( 'farbtastic' );

	wp_enqueue_script('jquery-ui');

  	//special code for header - should put all css in css admin and all script in script admin

}

function evrplus_admin_menu(){
    global $evrplus_date_format, $evrplus_ver;
    $version = "Events Plus";
    $role = 'manage_options';
    #Create Admin Menus
    add_menu_page($version, $version, $role, __file__, 'evrplus_splash');

    add_submenu_page(__file__, 'Configure Plugin', __('General Settings','evrplus_language'), $role, 'configure','evrplus_admin_company');

    add_submenu_page(__file__, 'Event Categories', __('Event Categories','evrplus_language'),$role, 'categories','evrplus_admin_categories');

    add_submenu_page(__file__, 'Manage Events', __('Manage Events','evrplus_language'), $role, 'events','evrplus_admin_events');

    add_submenu_page(__file__, 'Questions', __('Registration Fields','evrplus_language'), $role, 'questions','evrplus_admin_questions');

    add_submenu_page(__file__, 'Manage Attendees', __('Attendees','evrplus_language'), $role, 'attendee','evrplus_attendee_admin');

    add_submenu_page(__file__, 'Manage Payments', __('Payments','evrplus_language'), $role, 'payments','evrplus_admin_payments');

}

function evrplus_public_stylesheets() {

    #register public styles
    wp_register_style($handle = 'evrplus_public', $src = plugins_url('/evrplus_public_style_v2.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_style($handle = 'evrplus_calendar', $src = plugins_url('/evrplus_calendar_v19.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

	wp_register_style($handle = 'custom-style', $src = plugins_url('/custom-style.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_style($handle = 'evrplus_pop_style', $src = plugins_url('/evrplus_pop_style_v1.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_style($handle = 'evrplus_fancy_style', $src = plugins_url('/scripts/fancybox/jquery.fancybox-1.3.4.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

    wp_register_style($handle = 'evrplus_colorbox_style', $src = plugins_url('/colorbox/css/colorbox.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');

	wp_enqueue_style('evrplus_public');

    wp_enqueue_style('evrplus_calendar');

    wp_enqueue_style('evrplus_pop_style');

    wp_enqueue_style('evrplus_fancy_style');

    wp_enqueue_style('evrplus_colorbox_style');

    wp_register_style($handle = 'bootstrabCSS', $src = plugins_url('/js/bootstrap.min.css', __FILE__), $deps = array(), $ver = '1.0.0', $media = 'all');
    wp_enqueue_style('bootstrabCSS');

	wp_enqueue_style('custom-style');

    //wp_enqueue_style('thickbox');

}

function evrplus_public_scripts() {

    wp_enqueue_script('evrplus_tooltip_script');

	wp_enqueue_script('evrplus_excanvas');

	wp_enqueue_script('evrplus_knob');

	wp_enqueue_script('evrplus_ba-throttle-debounce');

	wp_enqueue_script('evrplus_redcountdown');

    wp_enqueue_script('evrplus_public_script');

    wp_enqueue_script('evrplus_public_colorbox');

	wp_enqueue_script('evrplus_pop_overlay');

    wp_enqueue_script('evrplus_public_fancy');

    wp_enqueue_script('evrplus_public_easing');

    wp_enqueue_script('evrplus_public_mouswheel');

}

function evrplus_public_header(){
    echo '<!--Event Registration '.$evrplus_ver.'-->';
}

function evrplus_widgets(){

    register_widget( 'EVR_Widget_List_Events' );//new widget
}
