<?php

add_shortcode('eventsplus_grid','evrplus_eventsplus_grid_func');

function evrplus_eventsplus_grid_func($atts){

    global $wpdb, $evrplus_date_format;

    extract(shortcode_atts(

        array(

            'columns' => '4',

            'ordered' => 'yes',

            'init_events' => '8',

            'load_new_events' => '5'

        ), $atts));



    wp_register_script('jquery.easing', plugins_url('/scripts/gridview/js/jquery.easing.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.easing' );



    wp_register_script('jquery.imagesLoaded.min', plugins_url('/scripts/gridview/js/jquery.imagesLoaded.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.imagesLoaded.min' );



    wp_register_script('jquery.isotope.min', plugins_url('/scripts/gridview/js/jquery.isotope.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.isotope.min' );



    wp_register_script('jquery.magnific-popup.min', plugins_url('/scripts/gridview/js/jquery.magnific-popup.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.magnific-popup.min' );



    wp_register_script('jquery.mediaBoxes', plugins_url('/scripts/gridview/js/jquery.mediaBoxes.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.mediaBoxes' );



    wp_register_script('jquery.transit.min', plugins_url('/scripts/gridview/js/jquery.transit.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'jquery.transit.min' );



    wp_register_script('modernizr.custom.min', plugins_url('/scripts/gridview/js/modernizr.custom.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'modernizr.custom.min' );



    wp_register_script('waypoints.min', plugins_url('/scripts/gridview/js/waypoints.min.js', __FILE__), array('jquery'),  '1.0.0', 'all');

    wp_enqueue_script( 'waypoints.min' );



    $col = ($columns == 2)? 2 : 4 - ($columns - 1);





    $company_options = get_option('evr_company_settings');

	

	$orderby = $company_options['order_event_list'];

    

    $sql = "SELECT * FROM ". get_option('evr_event')." where str_to_date(end_date, '%Y-%m-%e') >= curdate() ORDER BY str_to_date(start_date, '%Y-%m-%e') ".$orderby;

	

    $rows = $wpdb->get_results( $sql );

	





    if ($rows) {

        $sql2 = "SELECT * FROM ". get_option('evr_category');

        $cats = $wpdb->get_results( $sql2 );

        if($cats){

            ?>

            <div class="grid-section">

            <div class="content grid-container">

                <div class="filters-container">

                    <input type="text" id="evr-search" class="media-boxes-search" placeholder="<?php _e('Search By Title','evrplus_language');?>">

                    <ul class="media-boxes-filter" id="evr-filter">

                        <li><a class="selected" href="#" data-filter="*"><?php _e('All','evrplus_language');?></a></li>

                        <?php foreach($cats as $cat){ ?><li><a href="#" data-filter=".<?php echo $cat->category_identifier; ?>"><?php echo $cat->category_name; ?></a></li><?php } ?>

                    </ul>

                </div>

                <div id="evr-grid">

            <?php

        }



        foreach ($rows as $event) {

            if($ordered != 'yes') $height = rand(150,300);



            $this_cats = maybe_unserialize($event->category_id);

            $temp = '';



            $curr = check_recurrence($event->id);

            $parms = array('action' => 'evrplusegister', 'event_id' => $event->id);

            if($curr) $parms['recurr'] = $curr;





            $link = add_query_arg(  $parms, get_permalink( get_page_by_path( 'evrplus_registration' ) ) );



            $d_format = date_i18n($evrplus_date_format,strtotime($event->start_date));

            if($curr) $d_format = date_i18n($evrplus_date_format,$curr);



            $start_time = $event->start_time;

            if(isset($company_options['time_format']) and $company_options['time_format'] == '24hrs'){ $start_time = date('H:i',strtotime($start_time));   }

            ?>

            <div class="media-box <?php foreach($this_cats as $cat){ $temp = get_identifier_by_id($cat); echo $temp.' '; } ?>" data-columns="<?php echo $col ?>">

                <div class="media-box-image">

                    <div  data-width="320" data-height="<?php echo ($ordered == 'yes')? '400':$height; ?>" data-thumbnail="<?php echo ($event->image_link)? $event->image_link: EVR_PLUGINFULLURL.'images/calendar-icon.png'; ?>"></div>



                    <!--<div data-popup="gallery/img-1.jpg" title="Dolor sit amet"></div>-->



                    <div class="thumbnail-overlay">

                        <!--<i class="fa fa-plus mb-open-popup"></i>-->

						

                        <?php  $company_options = get_option('evr_company_settings'); ?><a href="<?php echo evrplus_permalink($company_options['evrplus_page_id']);?>action=evrplusegister&event_id=<?php echo $event->id .( ($recurr)? '&recurr='.$recurr : ''  )?>"><i class="fa fa-link"></i></a>

                    </div>

                </div>

                <div class="media-box-content" style="background-color: #f5f5f5;">

                    <div class="media-box-title"><?php echo $event->event_name; ?></div>

                    <div class="media-box-date"><span style="font-size:15px;color: #666;" class="dashicons dashicons-calendar-alt"></span><?php echo $d_format; ?></div>

                    <div class="media-box-date"><span style="font-size:15px;color: #666;" class="dashicons dashicons-clock"></span><?php echo  $start_time; ?></div>

                    <div class="media-box-text">

                        <?php echo evrplus_Truncate_grid(html_entity_decode(stripslashes($event->event_desc)), 60,' '); ?>

                    </div>

                    <div class="media-box-more"> <?php  $company_options = get_option('evr_company_settings'); ?><a href="<?php echo evrplus_permalink($company_options['evrplus_page_id']);?>action=evrplusegister&event_id=<?php echo $event->id .( ($recurr)? '&recurr='.$recurr : ''  )?>">Read more</a> </div>

                </div>

            </div>

            <?php

        }

        ?>

                </div>

              </div>

        <script>

        jQuery(function($){

            $('#evr-grid').mediaBoxes({

                filterContainer: '#evr-filter',

                search: '#evr-search',

                boxesToLoadStart: <?php echo $init_events; ?>,

                boxesToLoad: <?php echo $load_new_events; ?>,

                horizontalSpaceBetweenBoxes: 20,

                verticalSpaceBetweenBoxes: 20,

            });

        });

        </script>

        </div>

        <?php

    }



}



function get_identifier_by_id($id){

    global $wpdb;

    $sql2 = "SELECT category_identifier FROM ". get_option('evr_category')." WHERE id=".$id;

    $cat = $wpdb->get_var( $sql2 );

    return $cat;

}



function check_recurrence($id){

    global $wpdb;

    $isRecurr = $wpdb->get_var( "SELECT recurrence_choice FROM ". get_option('evr_event') ." WHERE id=".$id);

    $curr = null;



    if($isRecurr == "yes") {

        $row = $wpdb->get_var("SELECT start_date FROM " . get_option('evr_event') . " WHERE id=" . $id);



        if ($row) {

            $time = strtotime($row);

            $current = time();

            if ($time > $current) $curr = $time;

            else{

                $period= $wpdb->get_var("SELECT recurrence_period FROM " . get_option('evr_event') . " WHERE id=" . $id);

                switch ($period){

                    case 'weekly':

                        while(true){

                            $time += 60*60*24*7;

                            if($time > $current){

                                $curr = $time;

                                break;

                            }

                        }

                        break;

                    case 'monthly':

                        while(true){

                            $time += 60*60*24*30;

                            if($time > $current){

                                $curr = $time;

                                break;

                            }

                        }

                        break;

                    case 'yearly':

                        while(true){

                            $time += 60*60*24*365;

                            if($time > $current){

                                $curr = $time;

                                break;

                            }

                        }

                        break;

                    default: break;

                }

            }

        }

    }

    return $curr;

}



function evrplus_Truncate_grid($string, $limit, $break=".", $pad="..."){

    // return with no change if string is shorter than $limit

    if(strlen($string) <= $limit) return $string;

    // is $break present between $limit and the end of the string?

    if(false !== ($breakpoint = strpos($string, $break, $limit))) {

        if($breakpoint < strlen($string) - 1) {

            $string = substr($string, 0, $breakpoint) . $pad;

        }

    }

    return $string;

}



function evr_grid_the_content_filter($content) {



    if( has_shortcode( $content, 'eventsplus_grid' )  ){

        wp_register_style('mediaBoxes', plugins_url('/scripts/gridview/css/mediaBoxes.css', __FILE__), array(), '1.0.0', 'all');

        wp_enqueue_style('mediaBoxes');



        wp_register_style('magnific-popup', plugins_url('/scripts/gridview/css/magnific-popup.css', __FILE__), array(), '1.0.0', 'all');

        wp_enqueue_style('magnific-popup');

    }

    // otherwise returns the database content

    return $content;

}



add_filter( 'the_content', 'evr_grid_the_content_filter' );