<?php



/**



* Function evrplus_show_event_list($public_list_template){}



* Retrieves list of events from database and returns them to the screen in the list option selected in the company settings



* If no option was defined the default is a table format with Event Name hyperlink to a popup window with event details



* The string $public_list_template can contain a user defined table that changes what data is displayed on the list



*



*/



function evrplus_show_event_list($public_list_template){



    global $wpdb,$evrplus_date_format; 



    #retrieve company and configuration settings



    $company_options = get_option('evr_company_settings');



    $curdate = date ( "Y-m-j" );



    # Get events that end date is later than today and order by start date

	if($company_options['order_event_list'] == 'DESC') {

		$sql = "SELECT * FROM " . get_option('evr_event')." WHERE str_to_date(end_date, '%Y-%m-%e') >= curdate() ORDER BY str_to_date(start_date, '%Y-%m-%e') DESC";

	}else {

		$sql = "SELECT * FROM " . get_option('evr_event')." WHERE str_to_date(end_date, '%Y-%m-%e') >= curdate() ORDER BY str_to_date(start_date, '%Y-%m-%e') ASC";

	}



    $rows = $wpdb->get_results( $sql );



#Begin html table layout



echo '<div class="event-cont">';



echo '<table summary="'.__('The list of upcoming events.','evrplus_language').'">';





#Set the count for the alternating color rows of the table



    $color_row= "1";



#Set the the default month end number for events in case none is defined



    $month_no = $end_month_no = '01'; 



#Clear start date and end date fields to ensure no carry over data 



    $start_date = $end_date = '';



#Check and see if the sql querry returned rows, if they did then begin to return each row



    if ($rows){



        $codeToReturn = '';

        foreach ($rows as $event){



                #Determine when the event ends and compare that date and time to today's date and time

            $id = $event->id;

            $isRecurr = $wpdb->get_var( "SELECT recurrence_choice FROM ". get_option('evr_event') ." WHERE id=".$id);

            $curr = null;



            if($isRecurr == "yes") {

                $row = $wpdb->get_var("SELECT start_date FROM " . get_option('evr_event') . " WHERE id=" . $id);



                if ($row) {

                    $time = strtotime($row);

                    $current = time();

                    if ($time > $current) $curr = $time;

                    else{

                        $period= $wpdb->get_var("SELECT recurrence_period FROM " . get_option('evr_event') . " WHERE id=" . $id);

                        switch ($period){

                            case 'weekly':

                                while(true){

                                    $time += 60*60*24*7;

                                    if($time > $current){

                                        $curr = $time;

                                        break;

                                    }

                                }

                                break;

                            case 'monthly':

                                while(true){

                                    $time += 60*60*24*30;

                                    if($time > $current){

                                        $curr = $time;

                                        break;

                                    }

                                }

                                break;

                            case 'yearly':

                                while(true){

                                    $time += 60*60*24*365;

                                    if($time > $current){

                                        $curr = $time;

                                        break;

                                    }

                                }

                                break;

                            default: break;

                        }

                    }

                }

            }



            $cat_array = unserialize($event->category_id);





            $cat_id = $cat_array[0];





            $sql = "SELECT * FROM " . get_option('evr_category') . " WHERE id='".$cat_id."'";





            $cat_details = $wpdb->get_row($sql);



            $style_event_catgry = '#999';

            if ($cat_details !=""){

                $category_identifier = $cat_details->category_identifier;

                if($category_identifier !='')

                {

                    $style_event_catgry=($cat_details->category_color);

                }

            }



                $current_dt= date('Y-m-d H:i',current_time('timestamp',0));



                $close_dt = $event->end_date." ".$event->end_time;



                $today = strtotime($current_dt);



                $stp = DATE("Y-m-d H:i", STRTOTIME($close_dt));



                $expiration_date = strtotime($stp);



                #check to see if there is a custom template for the table if not, use the default.



                #GT Populate variable



                $outside_reg = $event->outside_reg;



                if ($public_list_template == ''){



                    #Check to see if the end time of this event is later than now, if so then display then send the event details to a string



            		if ($stp >= $current_dt){



                        #Set the row color for this row



                        if($color_row==1){ $td_class = "odd"; } else if($color_row==2){ $td_class = "even"; } 



                        #Begin creation of string that will return event data in html format for table                 



                        $codeToReturn .= '<tr><td class="row '.$td_class.'" style="border-right: 8px solid '.$style_event_catgry.'"><div class="col-sm-7 eve-details">';



						if($event->image_link==""){



						$codeToReturn .='<div class="thumb" style="background-image: url('.EVR_PLUGINFULLURL.'images/calendar-icon.png);"></div><div class="eve-title">';}



						else{$codeToReturn .='<div class="thumb" style="background-image: url('.$event->image_link.');"></div><div class="eve-title">';}



                        #Check to see if link only in company settings



                        if ($company_options['evrplus_list_format']=="link"){



                            if ($outside_reg == "Y"){  



							echo $event->external_site;

                                $codeToReturn .=  '<h3><a href="'.$event->external_site.'">{EVENT_NAME}</a></h3></div>';



                                }  



                            else {



							echo $event->external_site;

                                $codeToReturn .= '<h3><a href="{EVENT_URL}">{EVENT_NAME}</a></h3></div>';



                                }



                            }



                        else { 



                            if ($outside_reg == "Y"){  



                                $codeToReturn .=  '<h3><a href="'.$event->external_site.'">{EVENT_NAME}</a></h3></div>' ;



                                }  



                            else {



                           // $codeToReturn .= '<a class="thickbox" href="#TB_inline?width=640&height=1005&inlineId=popup{EVENT_ID}&modal=false title='.stripslashes($event->event_name).'">{EVENT_NAME}</a>';



                            #changed to use colorbox popup

                            $codeToReturn .= '<h3><a href="'. evrplus_permalink($company_options['evrplus_page_id']) . 'action=evrplusegister&event_id='.$event->id .( ($curr)? '&recurr='.$curr : ''  ).'">{EVENT_NAME}</a></h3></div>';



                            



                            }



                        }

                       $company_options = get_option('evr_company_settings');
					  
					   if($company_options['show_num_seats']!=='no')
					   {
						   $open_seats = '<p>'.__('Open Seats','evrplus_language').'
						<span class="seats" style="background-color: '.$style_event_catgry.'">{EVENT_AVAIL_SPOTS}</span></p>';
					   }

					   else
					   {
						   $open_seats ='';
					   }
                        $codeToReturn .= '<div class="eve-desc"><p>{EVENT_SHORTDESC}</p>'.$open_seats.'</div> </div>

                            <div class="col-sm-4 timing">

                                <div class="time-cont">

                                    <div class="eve-start">

                                        <time datetime="2014-09-20" class="icon">

                                            <em>{EVENT_DAY_START_NAME}</em>

                                            <strong>{EVENT_MONTH_START_NAME}</strong>

                                            <span>{EVENT_DAY_START_NUMBER}</span>

                                        </time>

                                        <p style="position: relative;"><!--<span class="glyphicon-time"></span>-->

                                        <img src="'.EVR_PLUGINFULLURL.'/images/popup-time-icon.png" style="  float: left;margin-right: 3px;margin-top: 2px;">

                                        {EVENT_TIME_START} '.( ($event->end_date == $event->start_date)? ' - {EVENT_TIME_END}' : '' ).'</p>

                                    </div>';



                        #Check to see if the start date and end date are the same, if they are don''t display end date, only time



                        if ($event->end_date != $event->start_date) {



                                         $codeToReturn .='<span class="eve-sap">-</span>

                                    <div class="eve-end">

                                        <time datetime="2015-09-20" class="icon">

                                            <em>{EVENT_DAY_END_NAME}</em>

                                            <strong>{EVENT_MONTH_END_NAME}</strong>

                                            <span>{EVENT_DAY_END_NUMBER}</span>

                                        </time>

                                        <p><img src="'.EVR_PLUGINFULLURL.'/images/popup-time-icon.png" style="  float: left;margin-right: 3px;margin-top: 2px;"> {EVENT_TIME_END}</p>

                                    </div>';

                        }



                        $codeToReturn .='</div></div></td></tr>';



                        }



                }



                #If a custom table template was defined use it instead of the default.



                else {



				    $codeToReturn .= $public_list_template;



				    }



                #Now that we have created the row, change color for next row



                if ($color_row ==1){$color_row = "2";} else if ($color_row ==2){$color_row = "1";}



                #Now that we have created the string for this row, lets replace the tags with the real event data    



				$codeToReturn = str_replace("{EVENT_SHORTDESC}", evrplus_Truncate(html_entity_decode(stripslashes($event->event_desc)), 60,' '), $codeToReturn);



                $event_name = stripslashes($event->event_name);



    			$event_desc = stripslashes($event->event_desc);



    			$codeToReturn = str_replace("\r\n", '', $codeToReturn);

                $parms = array('action' => 'evrplusegister', 'event_id' => $event->id);

                if($curr) $parms['recurr'] = $curr;

    			$codeToReturn = str_replace("{EVENT_URL}", add_query_arg(  $parms, get_permalink( get_page_by_path( 'evrplus_registration' ) ) ), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_ID}", $event->id, $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_NAME}", stripslashes($event->event_name), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_SHORTNAME}", evrplus_truncateWords(stripslashes($event->event_name), 8, "..."), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DESC}", stripslashes($event->event_desc), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_LOC}", stripslashes($event->event_location), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_ADDRESS}", stripslashes($event->event_address), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_CITY}", stripslashes($event->event_city), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_STATE}", stripslashes($event->event_state), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_POSTAL}", stripslashes($event->event_postal), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_START_NUMBER}", $event->start_month, $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_START_NAME}", __( date("F", ($curr)? $curr : strtotime($event->start_date)) , 'evrplus_language' ) , $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_START_NAME_3}", date("M",($curr)? $curr : strtotime($event->start_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_START_NUMBER}", date("j",($curr)? $curr : strtotime($event->start_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_START_NAME}", __( date("l",($curr)? $curr : strtotime($event->start_date)), 'evrplus_language' ), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_START_NAME_3}",date("D",($curr)? $curr : strtotime($event->start_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_YEAR_START}", $event->start_year, $codeToReturn);

                $date_format = "M j, Y";

                $time_start = $event->start_time;

                $time_end = $event->end_time;

                if($opt = get_option( 'evr_company_settings')){

                    if(isset($opt['date_format']) and $opt['date_format'] == 'eur') $date_format = "j M Y";

                    if(isset($opt['time_format']) and $opt['time_format'] == '24hrs') {

                        $time_start = date('H:i',strtotime($event->start_time));

                        $time_end = date('H:i',strtotime($event->end_time));

                    }

                }

    			$codeToReturn = str_replace("{EVENT_TIME_START}", $time_start, $codeToReturn);

                $start = ($curr)? date($date_format,$curr) : date($date_format,strtotime($event->start_date));

    			$codeToReturn = str_replace("{EVENT_DATE_START}", $start, $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_END_NUMBER}", $event->end_month, $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_END_NAME}", __(date("F",($curr)? $curr : strtotime($event->end_date)), 'evrplus_language' ), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_MONTH_END_NAME_3}", date("M",($curr)? $curr : strtotime($event->end_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_END_NUMBER}", date("j",($curr)? $curr : strtotime($event->end_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_END_NAME}", __(date("l",($curr)? $curr : strtotime($event->end_date)) , 'evrplus_language' ), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_DAY_END_NAME_3}",date("D",($curr)? $curr : strtotime($event->end_date)), $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_YEAR_END}", $event->end_year, $codeToReturn);

                $end = ($curr)? date($date_format,$curr) : date($date_format,strtotime($event->end_date));

    			$codeToReturn = str_replace("{EVENT_DATE_END}", $end, $codeToReturn);



    			$codeToReturn = str_replace("{EVENT_TIME_END}", $time_end, $codeToReturn);



                #In order to get the number of seats we need to count all attendees for this event



                #Retrieve the number of registered attendees for this event from attendee db



                    $sql2= "SELECT SUM(quantity) FROM " . get_option('evr_attendee') . " WHERE event_id='$event->id'";

					

      		        //$result2 = mysql_query($sql2);



                    $num = 0;   



              		//while($row = mysql_fetch_array($result2))

					$attendee_count=$wpdb->get_var($sql2);

					If ($attendee_count >= 1) {$num = $attendee_count;}

					 /*foreach($result2 as $row)



					{$num =  $row['SUM(quantity)'];};*/



                    $available_spaces = 0;  

                    if ($event->reg_limit != ""){$available_spaces = $event->reg_limit - $num;}



                    if (!isset($event->reg_limit) or empty($event->reg_limit) or $event->reg_limit == 999999) $available_spaces = __("Unlimited", 'evrplus_language');

                $codeToReturn = str_replace("{EVENT_AVAIL_SPOTS}", $available_spaces, $codeToReturn);



                #We have now finished this row, repeat the process for the remaining row(s)



                }



            #All rows should have been returned and put into string



            #Output html string to screen              



            echo $codeToReturn;     



        }



echo '</table></div>';



#Now that we have returned the table, we need to return the hidden html that provides the popups.



#Once again we will go through the retruned event data to generate the popup html



    if ($rows){



        foreach ($rows as $event){                             



            #use the included file to put all the event data for this event into strings



            include "evrplus_event_array2string.php";   



            #Generate the html popup code for this event



            include "evrplus_event_colorbox_pop.php";



            }         



        }             



}



# End of Event Display List Function



/**



* Function evrplus_show_event_accordian(){}



* Retrieves list of events from database and returns them to the screen in the accordian option selected in the company settings



* If no option was defined the default is the list format with Event Name hyperlink to a popup window with event details



* This function uses accordian to show/hide details on equipment list



* 



*/



function evrplus_show_event_accordian(){



    global $wpdb,$evrplus_date_format;



    $curdate = date ( "Y-m-j" );



    # Get events that end date is later than today and order by start date



    $sql = "SELECT * FROM " . get_option('evr_event')." WHERE str_to_date(end_date, '%Y-%m-%e') >= curdate() ORDER BY str_to_date(start_date, '%Y-%m-%e')";



    $rows = $wpdb->get_results( $sql );



    #Set the the default month end number for events in case none is defined



    $month_no = $end_month_no = '01'; 



    #Clear start date and end date fields to ensure no carry over data 



    $start_date = $end_date = '';



    #retrieve company and configuration settings



    $company_options = get_option('evr_company_settings');



    #include style sheet for accordian here to esnure style was not overwritten by other style elsewhere!



    include "evrplus_public_accordian_style.php";



    #start accordian html outpupt



echo '<div class="evrplus_accordion">';



echo '<section id="close"><h2><a href="#Close">Click on Event for Details - Click Here to Collapse All</a></h2><div></div></section>';



    #Check and see if the sql querry returned rows, if they did then begin to return each row   



    if ($rows){



            foreach ($rows as $event){                             



                #use the included file to put all the event data for this event into strings



                include "evrplus_event_array2string.php";   



                #Generate the html accordian code for this event



                //include "evrplus_public_event_accordian.php";



                $codeToReturn .='<section id="'.$event_id.'"><h2><a href="#'.$event_id.'">'



                                .strtoupper($event_name).'<br/><br/>'.date($evrplus_date_format,strtotime($start_date)).'  -  ';           



                if ($end_date != $start_date) {



                    $codeToReturn .= date($evrplus_date_format,strtotime($end_date));



                    }



                $codeToReturn .= __('&nbsp;&nbsp;&nbsp;&nbsp;Time: ','evrplus_language').' '.$start_time.' - '.$end_time.'</a></h2><div>';



                $codeToReturn .='<div class="evrplus_spacer"></div><div style="text-align: justify;white-space:pre-wrap;"><p>'



                                .html_entity_decode($event_desc).'</p></div><span style="float:right;">';			



                $codeToReturn .='<a href="'.EVR_PLUGINFULLURL.'evrplus_ics.php?event_id='.$event_id.'">



                                <img src="'.EVR_PLUGINFULLURL.'images/ical-logo.jpg" /></a></span>';



                $codeToReturn .='<div class="evrplus_spacer"><hr /></div><div style="float: left;width: 310px;">



                                <p><b><u>'.__('Location','evrplus_language').'</u></b><br/><br/>'.stripslashes($event_location);



                $codeToReturn .='<br />'.$event_address.'<br />'.$event_city.', '.$event_state.' '.$event_postal.'<br /></p></div>';



                $codeToReturn .='<div style="float: right;width: 280px;"> <div id="evrplus_pop_map">';



                if ($google_map == "Y"){



                    //$codeToReturn .='<img border="0" src="http://maps.google.com/maps/api/staticmap?center='.



                           //         $event_address.','.$event_city.','.$event_state.



                             //       '&zoom=14&size=280x180&maptype=roadmap&markers=size:mid|color:0xFFFF00|label:*|'.



                               //     $event_address.','.$event_city.'&sensor=false" />';							   							   							   							   $event_address_map=str_replace(" ","+",$event_address);					$event_city_map=str_replace(" ","+",$event_city);					$event_state_map=str_replace(" ","+",$event_state);					$codeToReturn .= '<iframe					width="282"					height="200"					frameborder="0" 					style="border:5px solid #fff;border-radius:15px;"					src="https://www.google.com/maps/embed/v1/place?key=AIzaSyDblf6OIl46COqBYUo2DBaxo0-PRl9SZEM&q='.$event_address_map.','.$event_city_map.','.$event_state_map.'">				</iframe>';



                    }



                $codeToReturn .='</div></div><div id="evrplus_pop_price"><p><b><u>'.__('Event Fees','evrplus_language').':</u></b><br /><br />';    



                #Get event fees from the cost database for this event



                    $curdate = date("Y-m-d");



                    $sql_fees = "SELECT * FROM " . get_option('evr_cost') . " WHERE event_id = " . $event_id. " ORDER BY sequence ASC";



                    $fee_rows = $wpdb->get_results( $sql_fees );



                    if ($fee_rows){



                            foreach ($fee_rows as $fee){ 



                                $item_custom_cur  = $fee->item_custom_cur;



                                if ($item_custom_cur == "GBP"){$item_custom_cur = "&pound;";}



                                if ($item_custom_cur == "USD"){$item_custom_cur = "$";}



                                $codeToReturn .=$fee->item_title.'   '.$item_custom_cur.' '.$fee->item_price.'<br />';



                                /*



                            while ($row2 = mysql_fetch_assoc ($result2)){



                                $item_id          = $row2['id'];



                                $item_sequence    = $row2['sequence'];



                                $event_id         = $row2['event_id'];



                                $item_title       = $row2['item_title'];



                                $item_description = $row2['item_description'];



                                $item_cat         = $row2['item_cat'];



                                $item_limit       = $row2['item_limit'];



                                $item_price       = $row2['item_price'];



                                $free_item        = $row2['free_item'];



                                $item_start_date  = $row2['item_available_start_date'];



                                $item_end_date    = $row2['item_available_end_date'];



                                echo $item_title.'   '.$item_custom_cur.' '.$item_price.'<br />';



                                */



                                }



                            } 



                $codeToReturn .='</p></div><div class="evrplus_spacer"></div><div id="evrplus_pop_foot"><p align="center">';            



                if ($more_info !=""){



                    $codeToReturn .='<input type="button" onClick="window.open(\''.$more_info.'\');" value=\'MORE INFO\'/>';



                    }



                if ($outside_reg == "Y"){            



                    $codeToReturn .='<input type="button" onClick="window.open(\''.$external_site.'\');" value=\'External Registration\'/>'; 



                    }  



                else {        



                    $codeToReturn .='<input type="button" onClick="location.href=\''.evrplus_permalink($company_options['evrplus_page_id']).    



                                    'action=evrplusegister&event_id='.$event_id.'\'" value=\'REGISTER\'/>';



                    }



                $codeToReturn .='</p></div></div></section>';



                #end of event



                } 



        echo $codeToReturn;        



    }



echo '</div>';



}



?>